package pl.carrierex.clusterTest;

import java.io.*;
import java.util.Properties;
import java.util.Random;
import java.util.concurrent.TimeUnit;

import org.infinispan.Cache;
import org.infinispan.config.*;
import org.infinispan.manager.*;
import org.infinispan.remoting.transport.jgroups.JGroupsTransport;

class Cluster {
    public static void main(String[] args) throws IOException {
    	
    	GlobalConfiguration gc = GlobalConfiguration.getClusteredDefault();
    	gc.setClusterName("TestCluster");	
    	Configuration c = new Configuration();
    	c.setCacheMode(Configuration.CacheMode.DIST_SYNC);	
    	c.setNumOwners(2);
      	EmbeddedCacheManager cm = new DefaultCacheManager(gc, c);
    	Cache defaultCache = cm.getCache();
    	
       	System.out.print("t - put 100000 random objects\nn - liczba kluczy w pamieci\n");   	
        char input;
        while ((input = getChar()) != 'q' )
        {
        	if(input=='n'){
        		System.out.println("Number of keys: "+defaultCache.keySet().size());
        	} else if(input=='t'){
 Random generator2 = new Random( );
long start = System.currentTimeMillis(); 
double num=100000;
int r=0;
String key="";
for (int i=0; i<num; i++){
	key = "test" + generator2.nextInt();
	defaultCache.put(key, new Integer(i));
}
System.out.println("msg/sec=" + num/ ((double)(System.currentTimeMillis()-start)/1000)); 
        	} 
        }
        System.out.println("Exit");
        System.exit(0);
    }
    
    static public char getChar() throws IOException {
        char ch = (char) System.in.read();
        while (System.in.read() != '\n'){}
        return ch;
    }
}
   	
    	
    	
    	
    	